Package com.tibco.patterns.deduplication

## Class BatchStatistics

- java.lang.Object
- - com.tibco.patterns.deduplication.BatchStatistics

-     public class BatchStatistics
      extends java.lang.Object

  Holds statistics on a batch of queries and results.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchStatistics​(java.lang.String batchId, BatchStatus state, java.lang.String cursorPosition, int size, int skipped, int form_errs, long startTime, long finishTime, long totalTime, java.lang.String lastHostName, int lastHostPort, int workerCount)` | Create a BatchStatistics object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCursorPosition()` | Get the opaque cursor starting position of this batch.
    `long` | `getEndTime()` | Get the time-stamp of when the last search worker started working on this batch.
    `int` | `getFormationErrors()` | Get the number of records in this batch for which query formation failed.
    `java.lang.String` | `getId()` | Get the unique identifier of this batch.
    `java.lang.String` | `getLastHostName()` | Get the address (DNS name or IP address) of the last TIBCO Patterns - Search host used to search this batch.
    `int` | `getLastHostPort()` | Get the TCP port of the last TIBCO Patterns - Search host used to search this batch.
    `int` | `getSize()` | Get the number of records used to form queries in the batch.
    `int` | `getSkipped()` | Get the number of records in this batch that did not produce a query.
    `long` | `getStartTime()` | Get the time-stamp of when the last search worker started working on this batch.
    `BatchStatus` | `getState()` | Get the current state of this batch.
    `long` | `getTotalTime()` | Get the total time this batch has been worked on.
    `int` | `getWorkerCount()` | Get the number of search workers that operated on this batch.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchStatistics

          public BatchStatistics​(java.lang.String batchId,
                                 BatchStatus state,
                                 java.lang.String cursorPosition,
                                 int size,
                                 int skipped,
                                 int form_errs,
                                 long startTime,
                                 long finishTime,
                                 long totalTime,
                                 java.lang.String lastHostName,
                                 int lastHostPort,
                                 int workerCount)

      Create a BatchStatistics object. Public constructor, for re-inflating statistics from storage
      Parameters:
        `batchId` - The batch id.
        `state` - The batch state.
        `cursorPosition` - The opaque cursor position.
        `size` - The batch size.
        `skipped` - The number of records skipped in the batch.
        `form_errs` - The number of records skipped in the batch.
        `startTime` - Latest time that a worker started processing on the batch.
        `finishTime` - Latest time that a worker finished processing on the batch.
        `totalTime` - Time processing the batch.
        `lastHostName` - Name of host the batch was processed on.
        `lastHostPort` - Port of host the batch was processed on.
        `workerCount` - Number of search workers that operated on this batch.

  - ### Method Detail

    - #### getTotalTime

          public long getTotalTime()

      Get the total time this batch has been worked on.
      Returns:
        the total time this batch has been worked on.

    - #### getLastHostName

          public java.lang.String getLastHostName()

      Get the address (DNS name or IP address) of the last TIBCO Patterns - Search host used to search this batch.
      Returns:
        the address (DNS name or IP address) of the last TIBCO Patterns - Search host used to search this batch.

    - #### getLastHostPort

          public int getLastHostPort()

      Get the TCP port of the last TIBCO Patterns - Search host used to search this batch.
      Returns:
        the TCP port of the last TIBCO Patterns - Search host used to search this batch.

    - #### getWorkerCount

          public int getWorkerCount()

      Get the number of search workers that operated on this batch.
      Returns:
        the number of search workers that operated on this batch.

    - #### getId

          public java.lang.String getId()

      Get the unique identifier of this batch.
      Returns:
        the unique identifier of this batch.

    - #### getState

          public BatchStatus getState()

      Get the current state of this batch.
      Returns:
        the current state of this batch.

    - #### getSize

          public int getSize()

      Get the number of records used to form queries in the batch.
      Returns:
        the number of records used to form queries in the batch.

    - #### getCursorPosition

          public java.lang.String getCursorPosition()

      Get the opaque cursor starting position of this batch.
      Returns:
        the opaque cursor starting position of this batch.

    - #### getSkipped

          public int getSkipped()

      Get the number of records in this batch that did not produce a query.
      Returns:
        the number of records in this batch that did not produce a query.

    - #### getFormationErrors

          public int getFormationErrors()

      Get the number of records in this batch for which query formation failed.
      Returns:
        the number of records in this batch for which query formation failed.

    - #### getStartTime

          public long getStartTime()

      Get the time-stamp of when the last search worker started working on this batch.
      Returns:
        0 if no searcher has worked on this batch, otherwise a time-stamp as the number of milliseconds since Jan 1, 1970, 00:00:00 GMT.

    - #### getEndTime

          public long getEndTime()

      Get the time-stamp of when the last search worker started working on this batch.
      Returns:
        0 if no searcher has finished worked on this batch, otherwise a time-stamp as the number of milliseconds since Jan 1, 1970, 00:00:00 GMT.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        summary of statistics as a string.